Subject: Re: 2.6.9 BUG in tcp_transmit_skb at net/ipv4/tcp_output.c -- full output

From: Chris Friesen <[email-masked]>
Date: Fri, 22 Apr 2005 16:13:06 -0600

Herbert Xu wrote:

> There's been lots of fixes to the TSO code since 2.6.9.  Please test
> 2.6.11.7 instead.

Unfortunately I can't move to the latest. We have a bunch ofkernel 
modules from various vendors, board support packages that aren't in 
mainline, etc.  We're in the process of moving to 2.6.10 and that 
requires support from six separate companies.  It's a mess.

If it matters, I'm on a G5 with the sungem driver (which I don't think 
supports TSO).  I've already applied the last -ac patch for 2.6.9 which 
has a number of fixes for 2.6.9 TCP issues, but apparently not all of 
them were caught.

Any pointers you can give me?

Chris